> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the Trial Balance Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/trial-balance
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/trial-balance:
    get:
      tags:
        - Reports
      summary: Retrieve the Trial Balance Report
      description: '**Scopes:** `report:read`'
      operationId: get_trial_balance_v0_business__business_id__reports_trial_balance_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
        - name: basis
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ReportBasis'
            description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
            default: modified_cash
          description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
        - name: end_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The end date (inclusive) in ISO-8601 format.
            examples:
              - '2026-01-01T00:00:00Z'
            title: End Datetime
          description: The end date (inclusive) in ISO-8601 format.
        - name: Accept
          in: header
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/ReportContentType'
                    - type: string
              - type: 'null'
            description: The content type of the response
            title: Accept
          description: The content type of the response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrialBalanceReport'
              example:
                data:
                  - name: Chase Checking x5678
                    ledger_id: ldg_WQMDNUHpBThYSNh4AprDBo
                    ledger_type: asset
                    debit: 3253.34
                    credit: 0
                    has_entries: true
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    ReportBasis:
      type: string
      enum:
        - accrual
        - modified_cash
      title: ReportBasis
    ReportContentType:
      type: string
      enum:
        - application/json
        - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
      title: ReportContentType
    TrialBalanceReport:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TrialBalanceReportLine'
          type: array
          title: Data
      type: object
      required:
        - data
      title: TrialBalanceReport
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TrialBalanceReportLine:
      properties:
        name:
          type: string
          title: Name
          description: The account name
          examples:
            - Cash
        ledger_id:
          type: string
          format: ldg_string
          title: Ledger Id
          description: The Ledger id the line is tied to
          examples:
            - ldg_WQMDNUHpBThYSNh4AprDBo
        ledger_type:
          $ref: '#/components/schemas/LedgerType'
          description: The Ledger type the account belongs to
          examples:
            - asset
        debit:
          type: number
          title: Debit
          description: >-
            The debit balance of the account (zero when the account carries a
            credit balance)
          examples:
            - 21980.5
        credit:
          type: number
          title: Credit
          description: >-
            The credit balance of the account (zero when the account carries a
            debit balance)
          examples:
            - 0
        has_entries:
          type: boolean
          title: Has Entries
          description: Whether the account has journal entries
          default: false
          examples:
            - true
      type: object
      required:
        - name
        - ledger_id
        - ledger_type
        - debit
        - credit
      title: TrialBalanceReportLine
    LedgerType:
      type: string
      enum:
        - asset
        - liability
        - equity
        - revenue
        - expense
      title: LedgerType
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````